#ifndef EFD400_H
#define EFD400_H

#ifdef __cplusplus
extern "C" {
#endif

#ifndef EVD_SUCC
#	define IsNice(r) ((r) >= 0) /* 是否OK啦 */

#	define EVD_SUCC 1 /* 成功操作 */
#	define EVD_PARA -1 /* 参数错误 */
#	define EVD_NMEM -2 /* 内存不足 */
#	define EVD_NSUP -3 /* 不支持令 */
#	define EVD_NLNK -4 /* 设备断开 */
#	define EVD_NINI -5 /* 未初始化 */
#	define EVD_ECOD -6 /* 错误号错 */
#	define EVD_OTHR -9 /* 其它错误 */
#endif

int LIVESCAN_Init(void);

int LIVESCAN_Close(void);

int LIVESCAN_GetChannelCount();

int LIVESCAN_GetMaxImageSize(int nChannel, int *pnWidth, int *pnHeight);

int LIVESCAN_GetVersion();

int LIVESCAN_GetErrorInfo();

int LIVESCAN_GetDeviceSerialNumber(int nChannel, unsigned char *DevSn);

int LIVESCAN_GetFPRawData(int nChannel, unsigned char *pRawData);

int LIVESCAN_GetFPBmpData(int nChannel, unsigned char *pBmpData);

int LIVESCAN_GetDesc(char pszDesc[1024]);

#ifdef __cplusplus
}
#endif

#endif
